commit 97383e36dcb7acb4b732a92dad75d3e5148011a7
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Thu Nov 20 09:44:49 2014 +0100

    Udpate to 7.34

diff --git a/drupal7/CHANGELOG.txt b/drupal7/CHANGELOG.txt
index 6530aa87..ef848fb1 100644
--- a/drupal7/CHANGELOG.txt
+++ b/drupal7/CHANGELOG.txt
@@ -1,4 +1,8 @@
 
+Drupal 7.34, 2014-11-19
+----------------------
+- Fixed security issues (multiple vulnerabilities). See SA-CORE-2014-006.
+
 Drupal 7.33, 2014-11-07
 -----------------------
 - Began storing the file modification time of each module and theme in the
diff --git a/drupal7/includes/bootstrap.inc b/drupal7/includes/bootstrap.inc
index 6fa369d4..744fc8fe 100644
--- a/drupal7/includes/bootstrap.inc
+++ b/drupal7/includes/bootstrap.inc
@@ -8,7 +8,7 @@
 /**
  * The current system version.
  */
-define('VERSION', '7.33');
+define('VERSION', '7.34');
 
 /**
  * Core API compatibility.
diff --git a/drupal7/includes/password.inc b/drupal7/includes/password.inc
index 3d5a400d..8228e611 100644
--- a/drupal7/includes/password.inc
+++ b/drupal7/includes/password.inc
@@ -140,7 +140,7 @@ function _password_enforce_log2_boundaries($count_log2) {
  * @param $algo
  *   The string name of a hashing algorithm usable by hash(), like 'sha256'.
  * @param $password
- *   The plain-text password to hash.
+ *   Plain-text password up to 512 bytes (128 to 512 UTF-8 characters) to hash.
  * @param $setting
  *   An existing hash or the output of _password_generate_salt().  Must be
  *   at least 12 characters (the settings and salt).
@@ -150,6 +150,10 @@ function _password_enforce_log2_boundaries($count_log2) {
  *   The return string will be truncated at DRUPAL_HASH_LENGTH characters max.
  */
 function _password_crypt($algo, $password, $setting) {
+  // Prevent DoS attacks by refusing to hash large passwords.
+  if (strlen($password) > 512) {
+    return FALSE;
+  }
   // The first 12 characters of an existing hash are its setting string.
   $setting = substr($setting, 0, 12);
 
diff --git a/drupal7/includes/session.inc b/drupal7/includes/session.inc
index 9589e06f..84d1983b 100644
--- a/drupal7/includes/session.inc
+++ b/drupal7/includes/session.inc
@@ -79,7 +79,7 @@ function _drupal_session_read($sid) {
   // Handle the case of first time visitors and clients that don't store
   // cookies (eg. web crawlers).
   $insecure_session_name = substr(session_name(), 1);
-  if (!isset($_COOKIE[session_name()]) && !isset($_COOKIE[$insecure_session_name])) {
+  if (empty($sid) || (!isset($_COOKIE[session_name()]) && !isset($_COOKIE[$insecure_session_name]))) {
     $user = drupal_anonymous_user();
     return '';
   }
diff --git a/drupal7/modules/aggregator/aggregator.info b/drupal7/modules/aggregator/aggregator.info
index 7918abae..990f7e93 100644
--- a/drupal7/modules/aggregator/aggregator.info
+++ b/drupal7/modules/aggregator/aggregator.info
@@ -7,8 +7,8 @@ files[] = aggregator.test
 configure = admin/config/services/aggregator/settings
 stylesheets[all][] = aggregator.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/aggregator/tests/aggregator_test.info b/drupal7/modules/aggregator/tests/aggregator_test.info
index f1f21b0a..530c944c 100644
--- a/drupal7/modules/aggregator/tests/aggregator_test.info
+++ b/drupal7/modules/aggregator/tests/aggregator_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/block/block.info b/drupal7/modules/block/block.info
index f7b7f761..a80ba4e9 100644
--- a/drupal7/modules/block/block.info
+++ b/drupal7/modules/block/block.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = block.test
 configure = admin/structure/block
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/block/tests/block_test.info b/drupal7/modules/block/tests/block_test.info
index daa71ba2..7644f36d 100644
--- a/drupal7/modules/block/tests/block_test.info
+++ b/drupal7/modules/block/tests/block_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
index a70daae9..899c836d 100644
--- a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
+++ b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
@@ -13,8 +13,8 @@ regions[footer] = Footer
 regions[highlighted] = Highlighted
 regions[help] = Help
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/blog/blog.info b/drupal7/modules/blog/blog.info
index f33c9237..8f4f7f79 100644
--- a/drupal7/modules/blog/blog.info
+++ b/drupal7/modules/blog/blog.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = blog.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/book/book.info b/drupal7/modules/book/book.info
index e4b73875..4e4d31e1 100644
--- a/drupal7/modules/book/book.info
+++ b/drupal7/modules/book/book.info
@@ -7,8 +7,8 @@ files[] = book.test
 configure = admin/content/book/settings
 stylesheets[all][] = book.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/color/color.info b/drupal7/modules/color/color.info
index b7e3e161..88d7cffb 100644
--- a/drupal7/modules/color/color.info
+++ b/drupal7/modules/color/color.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = color.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/comment/comment.info b/drupal7/modules/comment/comment.info
index 50fb17ef..ac610607 100644
--- a/drupal7/modules/comment/comment.info
+++ b/drupal7/modules/comment/comment.info
@@ -9,8 +9,8 @@ files[] = comment.test
 configure = admin/content/comment
 stylesheets[all][] = comment.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/contact/contact.info b/drupal7/modules/contact/contact.info
index d2e9c654..b7f3a7cb 100644
--- a/drupal7/modules/contact/contact.info
+++ b/drupal7/modules/contact/contact.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = contact.test
 configure = admin/structure/contact
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/contextual/contextual.info b/drupal7/modules/contextual/contextual.info
index 8c83dba9..42266552 100644
--- a/drupal7/modules/contextual/contextual.info
+++ b/drupal7/modules/contextual/contextual.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = contextual.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/dashboard/dashboard.info b/drupal7/modules/dashboard/dashboard.info
index acea9d2c..c852d47f 100644
--- a/drupal7/modules/dashboard/dashboard.info
+++ b/drupal7/modules/dashboard/dashboard.info
@@ -7,8 +7,8 @@ files[] = dashboard.test
 dependencies[] = block
 configure = admin/dashboard/customize
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/dblog/dblog.info b/drupal7/modules/dblog/dblog.info
index 37559a8c..6445d421 100644
--- a/drupal7/modules/dblog/dblog.info
+++ b/drupal7/modules/dblog/dblog.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = dblog.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/field/field.info b/drupal7/modules/field/field.info
index c68c333a..b885d609 100644
--- a/drupal7/modules/field/field.info
+++ b/drupal7/modules/field/field.info
@@ -11,8 +11,8 @@ dependencies[] = field_sql_storage
 required = TRUE
 stylesheets[all][] = theme/field.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
index f43ed837..c69226c1 100644
--- a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
+++ b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
@@ -7,8 +7,8 @@ dependencies[] = field
 files[] = field_sql_storage.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/field/modules/list/list.info b/drupal7/modules/field/modules/list/list.info
index 5d8001c1..3c9807f1 100644
--- a/drupal7/modules/field/modules/list/list.info
+++ b/drupal7/modules/field/modules/list/list.info
@@ -7,8 +7,8 @@ dependencies[] = field
 dependencies[] = options
 files[] = tests/list.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/field/modules/list/tests/list_test.info b/drupal7/modules/field/modules/list/tests/list_test.info
index 389b0a9b..09f553db 100644
--- a/drupal7/modules/field/modules/list/tests/list_test.info
+++ b/drupal7/modules/field/modules/list/tests/list_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/field/modules/number/number.info b/drupal7/modules/field/modules/number/number.info
index 2b5f1fd5..26527021 100644
--- a/drupal7/modules/field/modules/number/number.info
+++ b/drupal7/modules/field/modules/number/number.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = number.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/field/modules/options/options.info b/drupal7/modules/field/modules/options/options.info
index 7ea78717..17642a1e 100644
--- a/drupal7/modules/field/modules/options/options.info
+++ b/drupal7/modules/field/modules/options/options.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = options.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/field/modules/text/text.info b/drupal7/modules/field/modules/text/text.info
index 7c87786b..4d3afd34 100644
--- a/drupal7/modules/field/modules/text/text.info
+++ b/drupal7/modules/field/modules/text/text.info
@@ -7,8 +7,8 @@ dependencies[] = field
 files[] = text.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/field/tests/field_test.info b/drupal7/modules/field/tests/field_test.info
index 017a3b2f..a47d95f8 100644
--- a/drupal7/modules/field/tests/field_test.info
+++ b/drupal7/modules/field/tests/field_test.info
@@ -6,8 +6,8 @@ files[] = field_test.entity.inc
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/field_ui/field_ui.info b/drupal7/modules/field_ui/field_ui.info
index 52fb1e7a..afb55d2c 100644
--- a/drupal7/modules/field_ui/field_ui.info
+++ b/drupal7/modules/field_ui/field_ui.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = field_ui.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/file/file.info b/drupal7/modules/file/file.info
index cf190976..6ac9f888 100644
--- a/drupal7/modules/file/file.info
+++ b/drupal7/modules/file/file.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = tests/file.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/file/tests/file_module_test.info b/drupal7/modules/file/tests/file_module_test.info
index f19d8df2..5f0bbb2f 100644
--- a/drupal7/modules/file/tests/file_module_test.info
+++ b/drupal7/modules/file/tests/file_module_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/filter/filter.info b/drupal7/modules/filter/filter.info
index e867db27..b3a51464 100644
--- a/drupal7/modules/filter/filter.info
+++ b/drupal7/modules/filter/filter.info
@@ -7,8 +7,8 @@ files[] = filter.test
 required = TRUE
 configure = admin/config/content/formats
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/forum/forum.info b/drupal7/modules/forum/forum.info
index 8924c8f5..56870408 100644
--- a/drupal7/modules/forum/forum.info
+++ b/drupal7/modules/forum/forum.info
@@ -9,8 +9,8 @@ files[] = forum.test
 configure = admin/structure/forum
 stylesheets[all][] = forum.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/help/help.info b/drupal7/modules/help/help.info
index c0657c7f..8db8096f 100644
--- a/drupal7/modules/help/help.info
+++ b/drupal7/modules/help/help.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = help.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/image/image.info b/drupal7/modules/image/image.info
index a67d02f8..99a2375e 100644
--- a/drupal7/modules/image/image.info
+++ b/drupal7/modules/image/image.info
@@ -7,8 +7,8 @@ dependencies[] = file
 files[] = image.test
 configure = admin/config/media/image-styles
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/image/tests/image_module_test.info b/drupal7/modules/image/tests/image_module_test.info
index 40d67313..aad82924 100644
--- a/drupal7/modules/image/tests/image_module_test.info
+++ b/drupal7/modules/image/tests/image_module_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = image_module_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/locale/locale.info b/drupal7/modules/locale/locale.info
index 8028869d..2f6e408b 100644
--- a/drupal7/modules/locale/locale.info
+++ b/drupal7/modules/locale/locale.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = locale.test
 configure = admin/config/regional/language
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/locale/tests/locale_test.info b/drupal7/modules/locale/tests/locale_test.info
index dc5d5a6f..3daa74b4 100644
--- a/drupal7/modules/locale/tests/locale_test.info
+++ b/drupal7/modules/locale/tests/locale_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/menu/menu.info b/drupal7/modules/menu/menu.info
index ee436db5..14db656a 100644
--- a/drupal7/modules/menu/menu.info
+++ b/drupal7/modules/menu/menu.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = menu.test
 configure = admin/structure/menu
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/node/node.info b/drupal7/modules/node/node.info
index 8906557a..964ec402 100644
--- a/drupal7/modules/node/node.info
+++ b/drupal7/modules/node/node.info
@@ -9,8 +9,8 @@ required = TRUE
 configure = admin/structure/types
 stylesheets[all][] = node.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/node/tests/node_access_test.info b/drupal7/modules/node/tests/node_access_test.info
index 29f7975e..17946efd 100644
--- a/drupal7/modules/node/tests/node_access_test.info
+++ b/drupal7/modules/node/tests/node_access_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/node/tests/node_test.info b/drupal7/modules/node/tests/node_test.info
index cd83e010..b9b946e8 100644
--- a/drupal7/modules/node/tests/node_test.info
+++ b/drupal7/modules/node/tests/node_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/node/tests/node_test_exception.info b/drupal7/modules/node/tests/node_test_exception.info
index bb81ab00..5db96296 100644
--- a/drupal7/modules/node/tests/node_test_exception.info
+++ b/drupal7/modules/node/tests/node_test_exception.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/openid/openid.info b/drupal7/modules/openid/openid.info
index c531b6c6..1b97354b 100644
--- a/drupal7/modules/openid/openid.info
+++ b/drupal7/modules/openid/openid.info
@@ -5,8 +5,8 @@ package = Core
 core = 7.x
 files[] = openid.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/openid/tests/openid_test.info b/drupal7/modules/openid/tests/openid_test.info
index d67f3caf..a33d5963 100644
--- a/drupal7/modules/openid/tests/openid_test.info
+++ b/drupal7/modules/openid/tests/openid_test.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = openid
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/overlay/overlay.info b/drupal7/modules/overlay/overlay.info
index fed2841a..269e323e 100644
--- a/drupal7/modules/overlay/overlay.info
+++ b/drupal7/modules/overlay/overlay.info
@@ -4,8 +4,8 @@ package = Core
 version = VERSION
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/path/path.info b/drupal7/modules/path/path.info
index 81cf5f51..3445b7c6 100644
--- a/drupal7/modules/path/path.info
+++ b/drupal7/modules/path/path.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = path.test
 configure = admin/config/search/path
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/php/php.info b/drupal7/modules/php/php.info
index 0340d2ec..1fcb89d5 100644
--- a/drupal7/modules/php/php.info
+++ b/drupal7/modules/php/php.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = php.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/poll/poll.info b/drupal7/modules/poll/poll.info
index 0edb0136..101b99e2 100644
--- a/drupal7/modules/poll/poll.info
+++ b/drupal7/modules/poll/poll.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = poll.test
 stylesheets[all][] = poll.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/profile/profile.info b/drupal7/modules/profile/profile.info
index 76781418..593be3ee 100644
--- a/drupal7/modules/profile/profile.info
+++ b/drupal7/modules/profile/profile.info
@@ -11,8 +11,8 @@ configure = admin/config/people/profile
 ; See user_system_info_alter().
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/rdf/rdf.info b/drupal7/modules/rdf/rdf.info
index 98d18762..e5c963cd 100644
--- a/drupal7/modules/rdf/rdf.info
+++ b/drupal7/modules/rdf/rdf.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = rdf.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/rdf/tests/rdf_test.info b/drupal7/modules/rdf/tests/rdf_test.info
index 8a755df5..7602a942 100644
--- a/drupal7/modules/rdf/tests/rdf_test.info
+++ b/drupal7/modules/rdf/tests/rdf_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/search/search.info b/drupal7/modules/search/search.info
index 0362b4d9..0a1bcc2d 100644
--- a/drupal7/modules/search/search.info
+++ b/drupal7/modules/search/search.info
@@ -8,8 +8,8 @@ files[] = search.test
 configure = admin/config/search/settings
 stylesheets[all][] = search.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/search/tests/search_embedded_form.info b/drupal7/modules/search/tests/search_embedded_form.info
index b1dd94f5..2c789cc3 100644
--- a/drupal7/modules/search/tests/search_embedded_form.info
+++ b/drupal7/modules/search/tests/search_embedded_form.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/search/tests/search_extra_type.info b/drupal7/modules/search/tests/search_extra_type.info
index a7620ccd..af8ba670 100644
--- a/drupal7/modules/search/tests/search_extra_type.info
+++ b/drupal7/modules/search/tests/search_extra_type.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/shortcut/shortcut.info b/drupal7/modules/shortcut/shortcut.info
index c51fa25e..2aa55da7 100644
--- a/drupal7/modules/shortcut/shortcut.info
+++ b/drupal7/modules/shortcut/shortcut.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = shortcut.test
 configure = admin/config/user-interface/shortcut
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/simpletest.info b/drupal7/modules/simpletest/simpletest.info
index e3a80c6e..4c6fcbe3 100644
--- a/drupal7/modules/simpletest/simpletest.info
+++ b/drupal7/modules/simpletest/simpletest.info
@@ -56,8 +56,8 @@ files[] = tests/upgrade/update.trigger.test
 files[] = tests/upgrade/update.field.test
 files[] = tests/upgrade/update.user.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/actions_loop_test.info b/drupal7/modules/simpletest/tests/actions_loop_test.info
index 5e712734..e3384381 100644
--- a/drupal7/modules/simpletest/tests/actions_loop_test.info
+++ b/drupal7/modules/simpletest/tests/actions_loop_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/ajax_forms_test.info b/drupal7/modules/simpletest/tests/ajax_forms_test.info
index fa96ccca..db582d41 100644
--- a/drupal7/modules/simpletest/tests/ajax_forms_test.info
+++ b/drupal7/modules/simpletest/tests/ajax_forms_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/ajax_test.info b/drupal7/modules/simpletest/tests/ajax_test.info
index 75779eb5..736c0804 100644
--- a/drupal7/modules/simpletest/tests/ajax_test.info
+++ b/drupal7/modules/simpletest/tests/ajax_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/batch_test.info b/drupal7/modules/simpletest/tests/batch_test.info
index 5553ca19..4ee2142e 100644
--- a/drupal7/modules/simpletest/tests/batch_test.info
+++ b/drupal7/modules/simpletest/tests/batch_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/common_test.info b/drupal7/modules/simpletest/tests/common_test.info
index 09fcf014..c8f4aeae 100644
--- a/drupal7/modules/simpletest/tests/common_test.info
+++ b/drupal7/modules/simpletest/tests/common_test.info
@@ -7,8 +7,8 @@ stylesheets[all][] = common_test.css
 stylesheets[print][] = common_test.print.css
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/common_test_cron_helper.info b/drupal7/modules/simpletest/tests/common_test_cron_helper.info
index fdc2a236..780e5449 100644
--- a/drupal7/modules/simpletest/tests/common_test_cron_helper.info
+++ b/drupal7/modules/simpletest/tests/common_test_cron_helper.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/database_test.info b/drupal7/modules/simpletest/tests/database_test.info
index 5c422f91..d755deb0 100644
--- a/drupal7/modules/simpletest/tests/database_test.info
+++ b/drupal7/modules/simpletest/tests/database_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info b/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
index cd1a8187..9baa2232 100644
--- a/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
+++ b/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info b/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
index 2a26a133..9a6ea5a1 100644
--- a/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
+++ b/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/entity_cache_test.info b/drupal7/modules/simpletest/tests/entity_cache_test.info
index 3ae8f5eb..892f2a62 100644
--- a/drupal7/modules/simpletest/tests/entity_cache_test.info
+++ b/drupal7/modules/simpletest/tests/entity_cache_test.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = entity_cache_test_dependency
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info b/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
index 80ed2a28..f1e23800 100644
--- a/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
+++ b/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/entity_crud_hook_test.info b/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
index 4f57a2e2..80477669 100644
--- a/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
+++ b/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/entity_query_access_test.info b/drupal7/modules/simpletest/tests/entity_query_access_test.info
index 97b49920..25da2194 100644
--- a/drupal7/modules/simpletest/tests/entity_query_access_test.info
+++ b/drupal7/modules/simpletest/tests/entity_query_access_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/error_test.info b/drupal7/modules/simpletest/tests/error_test.info
index 52c09a5d..537af89a 100644
--- a/drupal7/modules/simpletest/tests/error_test.info
+++ b/drupal7/modules/simpletest/tests/error_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/file_test.info b/drupal7/modules/simpletest/tests/file_test.info
index 20881f12..dbeb7505 100644
--- a/drupal7/modules/simpletest/tests/file_test.info
+++ b/drupal7/modules/simpletest/tests/file_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = file_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/filter_test.info b/drupal7/modules/simpletest/tests/filter_test.info
index ebe2bc2b..d30cfa5a 100644
--- a/drupal7/modules/simpletest/tests/filter_test.info
+++ b/drupal7/modules/simpletest/tests/filter_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/form_test.info b/drupal7/modules/simpletest/tests/form_test.info
index 6c7b501f..406bcd27 100644
--- a/drupal7/modules/simpletest/tests/form_test.info
+++ b/drupal7/modules/simpletest/tests/form_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/image_test.info b/drupal7/modules/simpletest/tests/image_test.info
index c10a8f2f..b851329d 100644
--- a/drupal7/modules/simpletest/tests/image_test.info
+++ b/drupal7/modules/simpletest/tests/image_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/menu_test.info b/drupal7/modules/simpletest/tests/menu_test.info
index 87e7e934..e7509b5e 100644
--- a/drupal7/modules/simpletest/tests/menu_test.info
+++ b/drupal7/modules/simpletest/tests/menu_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/module_test.info b/drupal7/modules/simpletest/tests/module_test.info
index 372fce3a..de28a42c 100644
--- a/drupal7/modules/simpletest/tests/module_test.info
+++ b/drupal7/modules/simpletest/tests/module_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/password.test b/drupal7/modules/simpletest/tests/password.test
index 5259d19e..7105f3b7 100644
--- a/drupal7/modules/simpletest/tests/password.test
+++ b/drupal7/modules/simpletest/tests/password.test
@@ -57,4 +57,25 @@ class PasswordHashingTest extends DrupalWebTestCase {
     $this->assertFalse(user_needs_new_hash($account), 'Re-hashed password does not need a new hash.');
     $this->assertTrue(user_check_password($password, $account), 'Password check succeeds with re-hashed password.');
   }
+
+  /**
+   * Verifies that passwords longer than 512 bytes are not hashed.
+   */
+  public function testLongPassword() {
+    $password = str_repeat('x', 512);
+    $result = user_hash_password($password);
+    $this->assertFalse(empty($result), '512 byte long password is allowed.');
+    $password = str_repeat('x', 513);
+    $result = user_hash_password($password);
+    $this->assertFalse($result, '513 byte long password is not allowed.');
+    // Check a string of 3-byte UTF-8 characters.
+    $password = str_repeat('€', 170);
+    $result = user_hash_password($password);
+    $this->assertFalse(empty($result), '510 byte long password is allowed.');
+    $password .= 'xx';
+    $this->assertFalse(empty($result), '512 byte long password is allowed.');
+    $password = str_repeat('€', 171);
+    $result = user_hash_password($password);
+    $this->assertFalse($result, '513 byte long password is not allowed.');
+  }
 }
diff --git a/drupal7/modules/simpletest/tests/path_test.info b/drupal7/modules/simpletest/tests/path_test.info
index d7608a8c..ba7fbd65 100644
--- a/drupal7/modules/simpletest/tests/path_test.info
+++ b/drupal7/modules/simpletest/tests/path_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info b/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
index 5725ebd9..20e83202 100644
--- a/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
+++ b/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
@@ -5,8 +5,8 @@ core = 7.x
 hidden = TRUE
 package = Testing
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/requirements1_test.info b/drupal7/modules/simpletest/tests/requirements1_test.info
index 7d8c6ae9..7d6b0114 100644
--- a/drupal7/modules/simpletest/tests/requirements1_test.info
+++ b/drupal7/modules/simpletest/tests/requirements1_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/requirements2_test.info b/drupal7/modules/simpletest/tests/requirements2_test.info
index e424b162..af0032d6 100644
--- a/drupal7/modules/simpletest/tests/requirements2_test.info
+++ b/drupal7/modules/simpletest/tests/requirements2_test.info
@@ -7,8 +7,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/session_test.info b/drupal7/modules/simpletest/tests/session_test.info
index 609803f6..5851c3bb 100644
--- a/drupal7/modules/simpletest/tests/session_test.info
+++ b/drupal7/modules/simpletest/tests/session_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/system_dependencies_test.info b/drupal7/modules/simpletest/tests/system_dependencies_test.info
index 58401850..8c198a06 100644
--- a/drupal7/modules/simpletest/tests/system_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_dependencies_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = _missing_dependency
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info b/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
index 59acdeec..cfa6983f 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = system_incompatible_core_version_test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info b/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
index 87a10010..976bfe2f 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 5.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info b/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
index c5b220ae..3eb98492 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
@@ -7,8 +7,8 @@ hidden = TRUE
 ; system_incompatible_module_version_test declares version 1.0
 dependencies[] = system_incompatible_module_version_test (>2.0)
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info b/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
index 5e02ad7e..be297a36 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
@@ -5,8 +5,8 @@ version = 1.0
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/system_test.info b/drupal7/modules/simpletest/tests/system_test.info
index b61d8a45..af0eeae7 100644
--- a/drupal7/modules/simpletest/tests/system_test.info
+++ b/drupal7/modules/simpletest/tests/system_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = system_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/taxonomy_test.info b/drupal7/modules/simpletest/tests/taxonomy_test.info
index 3f4eb191..e6d525fb 100644
--- a/drupal7/modules/simpletest/tests/taxonomy_test.info
+++ b/drupal7/modules/simpletest/tests/taxonomy_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = taxonomy
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/theme_test.info b/drupal7/modules/simpletest/tests/theme_test.info
index 93ea498b..49696626 100644
--- a/drupal7/modules/simpletest/tests/theme_test.info
+++ b/drupal7/modules/simpletest/tests/theme_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info b/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
index 0b32f6a3..534537e3 100644
--- a/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
@@ -6,8 +6,8 @@ hidden = TRUE
 settings[basetheme_only] = base theme value
 settings[subtheme_override] = base theme value
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info b/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
index d273b024..3797325b 100644
--- a/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
@@ -6,8 +6,8 @@ hidden = TRUE
 
 settings[subtheme_override] = subtheme value
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info b/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
index 86593551..c6bf3406 100644
--- a/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
@@ -17,8 +17,8 @@ stylesheets[all][] = system.base.css
 
 settings[theme_test_setting] = default value
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/update_script_test.info b/drupal7/modules/simpletest/tests/update_script_test.info
index cb0abd51..ab974c51 100644
--- a/drupal7/modules/simpletest/tests/update_script_test.info
+++ b/drupal7/modules/simpletest/tests/update_script_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_1.info b/drupal7/modules/simpletest/tests/update_test_1.info
index 59b7154f..01763a35 100644
--- a/drupal7/modules/simpletest/tests/update_test_1.info
+++ b/drupal7/modules/simpletest/tests/update_test_1.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_2.info b/drupal7/modules/simpletest/tests/update_test_2.info
index 59b7154f..01763a35 100644
--- a/drupal7/modules/simpletest/tests/update_test_2.info
+++ b/drupal7/modules/simpletest/tests/update_test_2.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_3.info b/drupal7/modules/simpletest/tests/update_test_3.info
index 59b7154f..01763a35 100644
--- a/drupal7/modules/simpletest/tests/update_test_3.info
+++ b/drupal7/modules/simpletest/tests/update_test_3.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/url_alter_test.info b/drupal7/modules/simpletest/tests/url_alter_test.info
index 3afc9f49..af00b0f5 100644
--- a/drupal7/modules/simpletest/tests/url_alter_test.info
+++ b/drupal7/modules/simpletest/tests/url_alter_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/simpletest/tests/xmlrpc_test.info b/drupal7/modules/simpletest/tests/xmlrpc_test.info
index 28567942..11139833 100644
--- a/drupal7/modules/simpletest/tests/xmlrpc_test.info
+++ b/drupal7/modules/simpletest/tests/xmlrpc_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/statistics/statistics.info b/drupal7/modules/statistics/statistics.info
index 8bf97ff4..6c818c3e 100644
--- a/drupal7/modules/statistics/statistics.info
+++ b/drupal7/modules/statistics/statistics.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = statistics.test
 configure = admin/config/system/statistics
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/syslog/syslog.info b/drupal7/modules/syslog/syslog.info
index 8c11c5e9..b12b1270 100644
--- a/drupal7/modules/syslog/syslog.info
+++ b/drupal7/modules/syslog/syslog.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = syslog.test
 configure = admin/config/development/logging
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/system/system.info b/drupal7/modules/system/system.info
index f0b92a5d..d8ee86e9 100644
--- a/drupal7/modules/system/system.info
+++ b/drupal7/modules/system/system.info
@@ -12,8 +12,8 @@ files[] = system.test
 required = TRUE
 configure = admin/config/system
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/system/tests/cron_queue_test.info b/drupal7/modules/system/tests/cron_queue_test.info
index 4fd1bd8b..3e26e251 100644
--- a/drupal7/modules/system/tests/cron_queue_test.info
+++ b/drupal7/modules/system/tests/cron_queue_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/taxonomy/taxonomy.info b/drupal7/modules/taxonomy/taxonomy.info
index 00948dd0..e2d5727a 100644
--- a/drupal7/modules/taxonomy/taxonomy.info
+++ b/drupal7/modules/taxonomy/taxonomy.info
@@ -8,8 +8,8 @@ files[] = taxonomy.module
 files[] = taxonomy.test
 configure = admin/structure/taxonomy
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/toolbar/toolbar.info b/drupal7/modules/toolbar/toolbar.info
index 48adb661..a35b6ba7 100644
--- a/drupal7/modules/toolbar/toolbar.info
+++ b/drupal7/modules/toolbar/toolbar.info
@@ -4,8 +4,8 @@ core = 7.x
 package = Core
 version = VERSION
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/tracker/tracker.info b/drupal7/modules/tracker/tracker.info
index 5a5b5390..d9994778 100644
--- a/drupal7/modules/tracker/tracker.info
+++ b/drupal7/modules/tracker/tracker.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = tracker.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/translation/tests/translation_test.info b/drupal7/modules/translation/tests/translation_test.info
index 921bcf61..aecb9841 100644
--- a/drupal7/modules/translation/tests/translation_test.info
+++ b/drupal7/modules/translation/tests/translation_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/translation/translation.info b/drupal7/modules/translation/translation.info
index f5521f72..1ff8a134 100644
--- a/drupal7/modules/translation/translation.info
+++ b/drupal7/modules/translation/translation.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = translation.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/trigger/tests/trigger_test.info b/drupal7/modules/trigger/tests/trigger_test.info
index 93b41349..f725f905 100644
--- a/drupal7/modules/trigger/tests/trigger_test.info
+++ b/drupal7/modules/trigger/tests/trigger_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/trigger/trigger.info b/drupal7/modules/trigger/trigger.info
index e717ee09..30fc8bba 100644
--- a/drupal7/modules/trigger/trigger.info
+++ b/drupal7/modules/trigger/trigger.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = trigger.test
 configure = admin/structure/trigger
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/update/tests/aaa_update_test.info b/drupal7/modules/update/tests/aaa_update_test.info
index a016f415..935852d5 100644
--- a/drupal7/modules/update/tests/aaa_update_test.info
+++ b/drupal7/modules/update/tests/aaa_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/update/tests/bbb_update_test.info b/drupal7/modules/update/tests/bbb_update_test.info
index 47ab5b5b..83830dc1 100644
--- a/drupal7/modules/update/tests/bbb_update_test.info
+++ b/drupal7/modules/update/tests/bbb_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/update/tests/ccc_update_test.info b/drupal7/modules/update/tests/ccc_update_test.info
index ee64603b..54499be4 100644
--- a/drupal7/modules/update/tests/ccc_update_test.info
+++ b/drupal7/modules/update/tests/ccc_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
index b47dd4cc..904c0b1e 100644
--- a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
@@ -3,8 +3,8 @@ description = Test theme which acts as a base theme for other test subthemes.
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
index 9f8ea0e8..a08108a5 100644
--- a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
@@ -4,8 +4,8 @@ core = 7.x
 base theme = update_test_basetheme
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/update/tests/update_test.info b/drupal7/modules/update/tests/update_test.info
index d53cc3cc..0aa8d80d 100644
--- a/drupal7/modules/update/tests/update_test.info
+++ b/drupal7/modules/update/tests/update_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/update/update.info b/drupal7/modules/update/update.info
index 20c3b0e3..dbdd67dc 100644
--- a/drupal7/modules/update/update.info
+++ b/drupal7/modules/update/update.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = update.test
 configure = admin/reports/updates/settings
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/user/tests/user_form_test.info b/drupal7/modules/user/tests/user_form_test.info
index f0ea4a6b..5a30a0b5 100644
--- a/drupal7/modules/user/tests/user_form_test.info
+++ b/drupal7/modules/user/tests/user_form_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/modules/user/user.info b/drupal7/modules/user/user.info
index 0d65345c..f3cf393b 100644
--- a/drupal7/modules/user/user.info
+++ b/drupal7/modules/user/user.info
@@ -9,8 +9,8 @@ required = TRUE
 configure = admin/config/people
 stylesheets[all][] = user.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/profiles/minimal/minimal.info b/drupal7/profiles/minimal/minimal.info
index 965e69fa..6d6ce1a5 100644
--- a/drupal7/profiles/minimal/minimal.info
+++ b/drupal7/profiles/minimal/minimal.info
@@ -5,8 +5,8 @@ core = 7.x
 dependencies[] = block
 dependencies[] = dblog
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/profiles/standard/standard.info b/drupal7/profiles/standard/standard.info
index d2d2f12f..81eba8c4 100644
--- a/drupal7/profiles/standard/standard.info
+++ b/drupal7/profiles/standard/standard.info
@@ -24,8 +24,8 @@ dependencies[] = field_ui
 dependencies[] = file
 dependencies[] = rdf
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info b/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
index 1d3ec366..0b1d3140 100644
--- a/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
+++ b/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 files[] = drupal_system_listing_compatible_test.test
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info b/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
index 8168bad9..21c13265 100644
--- a/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
+++ b/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
@@ -8,8 +8,8 @@ version = VERSION
 core = 6.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/profiles/testing/testing.info b/drupal7/profiles/testing/testing.info
index 3789ce41..df8cdfe1 100644
--- a/drupal7/profiles/testing/testing.info
+++ b/drupal7/profiles/testing/testing.info
@@ -4,8 +4,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/themes/bartik/bartik.info b/drupal7/themes/bartik/bartik.info
index 707072b9..60135d8a 100644
--- a/drupal7/themes/bartik/bartik.info
+++ b/drupal7/themes/bartik/bartik.info
@@ -34,8 +34,8 @@ regions[footer] = Footer
 settings[shortcut_module_link] = 0
 
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/themes/garland/garland.info b/drupal7/themes/garland/garland.info
index a991280c..12b8e352 100644
--- a/drupal7/themes/garland/garland.info
+++ b/drupal7/themes/garland/garland.info
@@ -7,8 +7,8 @@ stylesheets[all][] = style.css
 stylesheets[print][] = print.css
 settings[garland_width] = fluid
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/themes/seven/seven.info b/drupal7/themes/seven/seven.info
index f3098b43..91414555 100644
--- a/drupal7/themes/seven/seven.info
+++ b/drupal7/themes/seven/seven.info
@@ -13,8 +13,8 @@ regions[page_bottom] = Page bottom
 regions[sidebar_first] = First sidebar
 regions_hidden[] = sidebar_first
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
diff --git a/drupal7/themes/stark/stark.info b/drupal7/themes/stark/stark.info
index a2956da7..23c36119 100644
--- a/drupal7/themes/stark/stark.info
+++ b/drupal7/themes/stark/stark.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 stylesheets[all][] = layout.css
 
-; Information added by Drupal.org packaging script on 2014-11-07
-version = "7.33"
+; Information added by Drupal.org packaging script on 2014-11-19
+version = "7.34"
 project = "drupal"
-datestamp = "1415375131"
+datestamp = "1416429488"
 
